Bug 17537 - xt/author/valid-templates.t is broken
Summary: xt/author/valid-templates.t is broken
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 15758 15803
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-02 10:50 UTC by Jonathan Druart
Modified: 2018-06-04 20:10 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17537: Fix valid-templates.t for some include files (2.60 KB, patch)
2016-11-02 10:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17537: Fix valid-templates.t for some include files (2.66 KB, patch)
2016-11-02 14:19 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 17537: Fix valid-templates.t for some include files (2.71 KB, patch)
2016-11-03 14:23 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-11-02 10:50:42 UTC
There 3 include files do not pass the template validation tests:
 - koha-tmpl/intranet-tmpl/prog/en/includes/admin-items-search-field-form.inc
 - koha-tmpl/intranet-tmpl/prog/en/includes/subscriptions-search.inc
 - koha-tmpl/opac-tmpl/bootstrap/en/includes/opac-topissues.inc


This is because they process a block which has not been declared before.
As they are include files, they cannot stand on their own.
We could have added them to the exclude file list of xt/author/valid-templates.t but I think it's better to keep them into the validation loop.
Comment 1 Jonathan Druart 2016-11-02 10:53:12 UTC
Created attachment 57076 [details] [review]
Bug 17537: Fix valid-templates.t for some include files

3 include files do not pass the template validation tests:
 - koha-tmpl/intranet-tmpl/prog/en/includes/admin-items-search-field-form.inc
 - koha-tmpl/intranet-tmpl/prog/en/includes/subscriptions-search.inc
 - koha-tmpl/opac-tmpl/bootstrap/en/includes/opac-topissues.inc

This is because they process a block which has not been declared before.
As they are include files, they cannot stand on their own.
We could have added them to the exclude file list of xt/author/valid-templates.t
but I think it's better to keep them into the validation loop.

Test plan:
  prove xt/author/valid-templates.t
should return green
And the library dropdown list should be correctly populated on the pages these files are included
(opac-topissues for instance)
Comment 2 Claire Gravely 2016-11-02 14:19:25 UTC
Created attachment 57103 [details] [review]
Bug 17537: Fix valid-templates.t for some include files

3 include files do not pass the template validation tests:
 - koha-tmpl/intranet-tmpl/prog/en/includes/admin-items-search-field-form.inc
 - koha-tmpl/intranet-tmpl/prog/en/includes/subscriptions-search.inc
 - koha-tmpl/opac-tmpl/bootstrap/en/includes/opac-topissues.inc

This is because they process a block which has not been declared before.
As they are include files, they cannot stand on their own.
We could have added them to the exclude file list of xt/author/valid-templates.t
but I think it's better to keep them into the validation loop.

Test plan:
  prove xt/author/valid-templates.t
should return green
And the library dropdown list should be correctly populated on the pages these files are included
(opac-topissues for instance)

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 3 Tomás Cohen Arazi 2016-11-03 14:23:44 UTC
Created attachment 57132 [details] [review]
Bug 17537: Fix valid-templates.t for some include files

3 include files do not pass the template validation tests:
 - koha-tmpl/intranet-tmpl/prog/en/includes/admin-items-search-field-form.inc
 - koha-tmpl/intranet-tmpl/prog/en/includes/subscriptions-search.inc
 - koha-tmpl/opac-tmpl/bootstrap/en/includes/opac-topissues.inc

This is because they process a block which has not been declared before.
As they are include files, they cannot stand on their own.
We could have added them to the exclude file list of xt/author/valid-templates.t
but I think it's better to keep them into the validation loop.

Test plan:
  prove xt/author/valid-templates.t
should return green
And the library dropdown list should be correctly populated on the pages these files are included
(opac-topissues for instance)

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Kyle M Hall 2016-11-04 11:04:01 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 5 Mason James 2016-11-30 08:22:21 UTC
blocked by enhancement, passing for 16.05.x series
Comment 6 Mason James 2016-12-14 12:05:41 UTC
Blocked by enhancement, skipping for 16.05.x